Skip to main content
GET
/
team-members
/
{team_member_id}
Get team member details
curl --request GET \
  --url https://{your-subdomain}.neetocrm.com/api/external/v2/team-members/{team_member_id} \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};

fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/team-members/{team_member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://{your-subdomain}.neetocrm.com/api/external/v2/team-members/{team_member_id}"

headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}

response = requests.get(url, headers=headers)

print(response.text)
{
  "team_member": {
    "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
    "email": "oliver@example.com",
    "first_name": "Oliver",
    "last_name": "Smith",
    "time_zone": "Asia/Kolkata",
    "profile_image_url": null,
    "active": true,
    "organization_role": "Admin"
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Path Parameters

team_member_id
string<uuid>
required

ID of the team member. You can get this by listing all team members using the List team members API.

Example:

"aaaabbbb-cccc-dddd-eeee-ffff00001111"

Response

200 - application/json

OK - Request succeeded

team_member
object